OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKIGES
IGESBasic

# IGESBasic_Array2OfHArray1OfReal Class Reference

`#include <IGESBasic_Array2OfHArray1OfReal.hxx>`

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | IGESBasic_Array2OfHArray1OfReal (const Standard_Integer R1, const Standard_Integer R2, const Standard_Integer C1, const Standard_Integer C2)
Standard_EXPORT | IGESBasic_Array2OfHArray1OfReal (const Handle(TColStd_HArray1OfReal)&Item, const Standard_Integer R1, const Standard_Integer R2, const Standard_Integer C1, const Standard_Integer C2)
Standard_EXPORT void | Init (const Handle(TColStd_HArray1OfReal)&V)
Standard_EXPORT void | Destroy ()
| ~IGESBasic_Array2OfHArray1OfReal ()
Standard_EXPORT const IGESBasic_Array2OfHArray1OfReal & | Assign (const IGESBasic_Array2OfHArray1OfReal &Other)
const IGESBasic_Array2OfHArray1OfReal & | operator= (const IGESBasic_Array2OfHArray1OfReal &Other)
Standard_Integer | ColLength () const
Standard_Integer | RowLength () const
Standard_Integer | LowerCol () const
Standard_Integer | LowerRow () const
Standard_Integer | UpperCol () const
Standard_Integer | UpperRow () const
void | SetValue (const Standard_Integer Row, const Standard_Integer Col, const Handle(TColStd_HArray1OfReal)&Value)
const Handle_TColStd_HArray1OfReal & | Value (const Standard_Integer Row, const Standard_Integer Col) const
const Handle_TColStd_HArray1OfReal & | operator() (const Standard_Integer Row, const Standard_Integer Col) const
Handle_TColStd_HArray1OfReal & | ChangeValue (const Standard_Integer Row, const Standard_Integer Col)
Handle_TColStd_HArray1OfReal & | operator() (const Standard_Integer Row, const Standard_Integer Col)
## Private Member Functions
Standard_EXPORT | IGESBasic_Array2OfHArray1OfReal (const IGESBasic_Array2OfHArray1OfReal &AnArray)
Standard_EXPORT void | Allocate ()
## Private Attributes
Standard_Integer | myLowerRow
Standard_Integer | myLowerColumn
Standard_Integer | myUpperRow
Standard_Integer | myUpperColumn
Standard_Boolean | myDeletable
Standard_Address | myData

## Constructor & Destructor Documentation

Standard_EXPORT IGESBasic_Array2OfHArray1OfReal::IGESBasic_Array2OfHArray1OfReal | ( | const Standard_Integer | R1,
|  | const Standard_Integer | R2,
|  | const Standard_Integer | C1,
|  | const Standard_Integer | C2
| ) |

Standard_EXPORT IGESBasic_Array2OfHArray1OfReal::IGESBasic_Array2OfHArray1OfReal | ( | const Handle(TColStd_HArray1OfReal)& | Item,
|  | const Standard_Integer | R1,
|  | const Standard_Integer | R2,
|  | const Standard_Integer | C1,
|  | const Standard_Integer | C2
| ) |

IGESBasic_Array2OfHArray1OfReal::~IGESBasic_Array2OfHArray1OfReal | ( |  | ) | `[inline]`

Standard_EXPORT IGESBasic_Array2OfHArray1OfReal::IGESBasic_Array2OfHArray1OfReal | ( | const IGESBasic_Array2OfHArray1OfReal & | AnArray | ) | `[private]`

## Member Function Documentation

Standard_EXPORT void IGESBasic_Array2OfHArray1OfReal::Allocate | ( |  | ) | `[private]`

Standard_EXPORT const IGESBasic_Array2OfHArray1OfReal& IGESBasic_Array2OfHArray1OfReal::Assign | ( | const IGESBasic_Array2OfHArray1OfReal & | Other | ) |

Handle_TColStd_HArray1OfReal& IGESBasic_Array2OfHArray1OfReal::ChangeValue | ( | const Standard_Integer | Row,
|  | const Standard_Integer | Col
| ) |

Standard_Integer IGESBasic_Array2OfHArray1OfReal::ColLength | ( |  | ) | const

Standard_EXPORT void IGESBasic_Array2OfHArray1OfReal::Destroy | ( |  | ) |

Standard_EXPORT void IGESBasic_Array2OfHArray1OfReal::Init | ( | const Handle(TColStd_HArray1OfReal)& | V | ) |

Standard_Integer IGESBasic_Array2OfHArray1OfReal::LowerCol | ( |  | ) | const

Standard_Integer IGESBasic_Array2OfHArray1OfReal::LowerRow | ( |  | ) | const

void IGESBasic_Array2OfHArray1OfReal::operator delete | ( | void * | anAddress | ) | `[inline]`

void* IGESBasic_Array2OfHArray1OfReal::operator new | ( | size_t | size | ) | `[inline]`

void* IGESBasic_Array2OfHArray1OfReal::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Handle_TColStd_HArray1OfReal& IGESBasic_Array2OfHArray1OfReal::operator() | ( | const Standard_Integer | Row,
|  | const Standard_Integer | Col
| ) | `[inline]`

const Handle_TColStd_HArray1OfReal& IGESBasic_Array2OfHArray1OfReal::operator() | ( | const Standard_Integer | Row,
|  | const Standard_Integer | Col
| ) | const`[inline]`

const IGESBasic_Array2OfHArray1OfReal& IGESBasic_Array2OfHArray1OfReal::operator= | ( | const IGESBasic_Array2OfHArray1OfReal & | Other | ) | `[inline]`

Standard_Integer IGESBasic_Array2OfHArray1OfReal::RowLength | ( |  | ) | const

void IGESBasic_Array2OfHArray1OfReal::SetValue | ( | const Standard_Integer | Row,
|  | const Standard_Integer | Col,
|  | const Handle(TColStd_HArray1OfReal)& | Value
| ) |

Standard_Integer IGESBasic_Array2OfHArray1OfReal::UpperCol | ( |  | ) | const

Standard_Integer IGESBasic_Array2OfHArray1OfReal::UpperRow | ( |  | ) | const

const Handle_TColStd_HArray1OfReal& IGESBasic_Array2OfHArray1OfReal::Value | ( | const Standard_Integer | Row,
|  | const Standard_Integer | Col
| ) | const

## Field Documentation

Standard_Address IGESBasic_Array2OfHArray1OfReal::myData`[private]`

Standard_Boolean IGESBasic_Array2OfHArray1OfReal::myDeletable`[private]`

Standard_Integer IGESBasic_Array2OfHArray1OfReal::myLowerColumn`[private]`

Standard_Integer IGESBasic_Array2OfHArray1OfReal::myLowerRow`[private]`

Standard_Integer IGESBasic_Array2OfHArray1OfReal::myUpperColumn`[private]`

Standard_Integer IGESBasic_Array2OfHArray1OfReal::myUpperRow`[private]`

The documentation for this class was generated from the following file:

- IGESBasic_Array2OfHArray1OfReal.hxx